TrueFileFilter (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.filefilter

## Class TrueFileFilter

- java.lang.Object
- - org.apache.commons.io.filefilter.TrueFileFilter

- All Implemented Interfaces:
    java.io.FileFilter, java.io.FilenameFilter, java.io.Serializable, IOFileFilter

      public class TrueFileFilter
      extends java.lang.Object
      implements IOFileFilter, java.io.Serializable

  A file filter that always returns true.
  Since:
    1.0
  Version:
    $Id: TrueFileFilter.java 1642757 2014-12-01 21:09:30Z sebb $
  See Also:
    `FileFilterUtils.trueFileFilter()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IOFileFilter` | `INSTANCE` Singleton instance of true filter.
    `private static long` | `serialVersionUID`
    `static IOFileFilter` | `TRUE` Singleton instance of true filter.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrueFileFilter()` Restrictive constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)` Returns true.
    `boolean` | `accept(java.io.File dir, java.lang.String name)` Returns true.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### TRUE

          public static final IOFileFilter TRUE

      Singleton instance of true filter.
      Since:
        1.3

    - #### INSTANCE

          public static final IOFileFilter INSTANCE

      Singleton instance of true filter. Please use the identical TrueFileFilter.TRUE constant. The new name is more JDK 1.5 friendly as it doesn't clash with other values when using static imports.

  - ### Constructor Detail

    - #### TrueFileFilter

          protected TrueFileFilter()

      Restrictive constructor.

  - ### Method Detail

    - #### accept

          public boolean accept(java.io.File file)

      Returns true.
      Specified by:
        `accept` in interface `java.io.FileFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Parameters:
        `file` - the file to check (ignored)
      Returns:
        true

    - #### accept

          public boolean accept(java.io.File dir,
                       java.lang.String name)

      Returns true.
      Specified by:
        `accept` in interface `java.io.FilenameFilter`
      Specified by:
        `accept` in interface `IOFileFilter`
      Parameters:
        `dir` - the directory to check (ignored)
        `name` - the filename (ignored)
      Returns:
        true

Copyright (c) 2002-2016 Apache Software Foundation